function sequenceInfo = getIDOLSequenceInfo(sequenceName)

pathToIDOL = '../idol_kth';
pathToSequence = [pathToIDOL '/' sequenceName];
placeLabels = {'rPA', 'rCR', 'rEO', 'rBO', 'rKT'};

fileList = dir([pathToSequence '/pgm/*.pgm']) ;
for fnI = 1 : length(fileList) 
    fileName = fileList(fnI).name;
    % Get category id, depending on the place
    splitLoc = [1 strfind(fileName, '_') length(fileName)-3];
    placeLabel = fileName(splitLoc(2)+1:splitLoc(3)-1);
    placeID = find(ismember(placeLabels,placeLabel));
    
    sequenceInfo(fnI).pgmFileName = [pathToSequence '/pgm/' fileName];
    sequenceInfo(fnI).pngFileName = [pathToSequence '/png/' fileName(1:end-4) '.png'];
    sequenceInfo(fnI).keyFileName = [pathToSequence '/std-sift/' fileName(1:end-4) '.key'];
    sequenceInfo(fnI).timeStamp = str2double(fileName(splitLoc(1)+1:splitLoc(2)-1));
    sequenceInfo(fnI).x = str2double(fileName(splitLoc(3)+2:splitLoc(4)-1));
    sequenceInfo(fnI).y = str2double(fileName(splitLoc(4)+2:splitLoc(5)-1));
    sequenceInfo(fnI).a = str2double(fileName(splitLoc(5)+2:splitLoc(6)-1));
    sequenceInfo(fnI).placeLabel = placeLabel;
    sequenceInfo(fnI).placeID = placeID;
    
    sequenceInfo(fnI);
end
